io.vertx.rxjava.ext.unit.report

## Class TestResult

- java.lang.Object
- - io.vertx.rxjava.ext.unit.report.TestResult

-     public class TestResult
      extends Object

  The result of a test.

  NOTE: This class has been automatically generated from the `original` non RX-ified interface using Vert.x codegen.

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `TestResult(TestResult delegate)`

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `long` | `beginTime()` The time at which the test began in millis.
    `long` | `durationTime()` How long the test lasted in millis.
    `boolean` | `failed()` Did it fail?
    `Failure` | `failure()` An exception describing failure, null if the test succeeded.
    `Object` | `getDelegate()`
    `String` | `name()` The test description, may be null if none was provided.
    `static TestResult` | `newInstance(TestResult arg)`
    `boolean` | `succeeded()` Did it succeed?

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### TestResult

          public TestResult(TestResult delegate)

  - ### Method Detail

    - #### getDelegate

          public Object getDelegate()

    - #### name

          public String name()

      The test description, may be null if none was provided.
      Returns:

    - #### beginTime

          public long beginTime()

      The time at which the test began in millis.
      Returns:

    - #### durationTime

          public long durationTime()

      How long the test lasted in millis.
      Returns:

    - #### succeeded

          public boolean succeeded()

      Did it succeed?
      Returns:

    - #### failed

          public boolean failed()

      Did it fail?
      Returns:

    - #### failure

          public Failure failure()

      An exception describing failure, null if the test succeeded.
      Returns:

    - #### newInstance

          public static TestResult newInstance(TestResult arg)

Copyright © 2016. All rights reserved.